document.addEventListener('DOMContentLoaded', () => {
  const trackButton = document.getElementById('track-button');
  const trackingNumber = document.getElementById('tracking-number');
  const trackingResult = document.getElementById('tracking-result');

  trackButton.addEventListener('click', () => {
    if (trackingNumber.value.trim() === '') {
      alert('Please enter a tracking number');
      return;
    }

    // Simulate tracking result
    trackingResult.classList.remove('hidden');
    
    // Add animation to timeline items
    const timelineItems = document.querySelectorAll('.timeline-item');
    timelineItems.forEach((item, index) => {
      setTimeout(() => {
        item.style.opacity = '0';
        item.style.transform = 'translateX(-20px)';
        item.style.transition = 'all 0.5s ease';
        
        // Add current date to simulate real tracking
        const date = new Date();
        date.setDate(date.getDate() - (3 - index));
        item.querySelector('.date').textContent = date.toLocaleDateString();
        
        setTimeout(() => {
          item.style.opacity = '1';
          item.style.transform = 'translateX(0)';
        }, 100);
      }, index * 500);
    });
  });

  // Add smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add input validation
  trackingNumber.addEventListener('input', (e) => {
    e.target.value = e.target.value.replace(/[^a-zA-Z0-9]/g, '');
  });
});